Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.F	(revision 5082)
@@ -409,6 +409,6 @@
         IF (BloMod) THEN
  
-        if (klonv.eq.1) then
-          if(isnoSV(1).ge.2                   .and.
+        if (klonv==1) then
+          if(isnoSV(1)>=2                   .and.
      .         TsisSV(1,max(1,isnoSV(1)))<273.  .and.
      .         ro__SV(1,max(1,isnoSV(1)))<500.  .and.
@@ -518,5 +518,5 @@
 C +     Gallee et al., 2001    eq 5, p5
  
-          if (usth_param .eq. "gal") then
+          if (usth_param == "gal") then
             Salt_us   =   (log(2.868) - log(1 + SaltMo)) * rCd10n/0.085
             Salt_us   = Salt_us * Fac_Mo
@@ -525,5 +525,5 @@
           endif
  
-          if (usth_param .eq. "lis") then !Liston et al. 2007
+          if (usth_param == "lis") then !Liston et al. 2007
             if(ro__SV(ikl,isn)>300.) then
               Salt_us   = 0.005*exp(0.013*ro__SV(ikl,isn))
@@ -607,10 +607,10 @@
         hSalSV(ikl) = 8.436e-2  * us__SV(ikl)**SblPom
  
-        if (qsalt_param .eq. "pom") then
+        if (qsalt_param == "pom") then
           qSalSV(ikl) = (us__SV(ikl)**2 - usthSV(ikl)**2) *signus
      .               / (hSalSV(ikl) * gravit * us__SV(ikl) * 3.25)
         endif
  
-        if (qsalt_param .eq. "bin") then
+        if (qsalt_param == "bin") then
           qSalSV(ikl) = (us__SV(ikl) * us__SV(ikl)
      .                -usthSV(ikl) * usthSV(ikl))*signus
@@ -668,5 +668,5 @@
 C + ...         [ A compromise between
 C + ...           Kotlyakov (1961) and Lenaerts (2012, JGR, Part1) ]
-                if (tt_tmp.ge.-10) then
+                if (tt_tmp>=-10) then
                   BufPro   =  max( rosMin,
      .            104. *sqrt( max( vv_tmp-6.0,0.0))) ! Kotlyakov (1961)
@@ -894,7 +894,7 @@
 
           
-      if (discret_xf.AND.klonv.eq.1) then
-
-       if(isnoSV(1).ge.1.or.NLaysv(1).ge.1) then
+      if (discret_xf.AND.klonv==1) then
+
+       if(isnoSV(1)>=1.or.NLaysv(1)>=1) then
 C +          **********
          call SISVAT_zSn
@@ -1081,5 +1081,5 @@
 
 
-      if (iflag_temp_inlandsis .eq. 0) then
+      if (iflag_temp_inlandsis == 0) then
 
        call SISVAT_TSo
@@ -1198,9 +1198,9 @@
 ! ^^^^^^^^^^^^^^^^^^^^
 
-          IF (iflag_tsurf_inlandsis .EQ. 0) THEN   
+          IF (iflag_tsurf_inlandsis == 0) THEN
 
             Tsrfsv(ikl) =TsisSV(ikl,isnoSV(ikl))
 
-          ELSE IF (iflag_tsurf_inlandsis .GT. 0) THEN
+          ELSE IF (iflag_tsurf_inlandsis > 0) THEN
 ! Etienne: extrapolation from the two uppermost levels:
 
@@ -1208,5 +1208,5 @@
            zm1=-dzsnSV(ikl,isnoSV(ikl))/2.
            zm2=-(dzsnSV(ikl,isnoSV(ikl)) + dzsnSV(ikl,isnoSV(ikl)-1)/2.)
-         else if (isnoSV(ikl) .EQ. 1) then
+         else if (isnoSV(ikl) == 1) then
            zm1=-dzsnSV(ikl,isnoSV(ikl))/2.
            zm2=-(dzsnSV(ikl,isnoSV(ikl))+dz_dSV(0)/2.)
@@ -1236,6 +1236,6 @@
       IF (SnoMod)                                                 THEN
 
-      if (discret_xf .AND. klonv.eq.1) then
-      if(isnoSV(1).ge.1) then
+      if (discret_xf .AND. klonv==1) then
+      if(isnoSV(1)>=1) then
 C +          **********
       call SISVAT_GSn
@@ -1305,13 +1305,13 @@
 ! Calculation of snow roughness length
 !=====================================
-          IF (iflag_z0m_snow .EQ. 0) THEN
+          IF (iflag_z0m_snow == 0) THEN
 
           Z0m_Sn=prescribed_z0m_snow
 
-          ELSE IF (iflag_z0m_snow .EQ. 1) THEN
+          ELSE IF (iflag_z0m_snow == 1) THEN
 
           Z0m_Sn=Z0enSV(ikl) 
 
-          ELSE IF (iflag_z0m_snow .EQ. 2) THEN                             
+          ELSE IF (iflag_z0m_snow == 2) THEN
 
 C +--Rough   Snow Surface Roughness Length (Variable Sastrugi Height)
@@ -1336,9 +1336,9 @@
           coefd = log(z03)-coefc*ta3
 
-          if (TaT_SV(ikl) .lt. ta1) then
+          if (TaT_SV(ikl) < ta1) then
             Z0_obs = z01
-          else if (TaT_SV(ikl).ge.ta1 .and. TaT_SV(ikl).lt.ta2) then
+          else if (TaT_SV(ikl)>=ta1 .and. TaT_SV(ikl)<ta2) then
             Z0_obs = exp(coefa*TaT_SV(ikl) + coefb)
-          else if (TaT_SV(ikl).ge.ta2 .and. TaT_SV(ikl).lt.ta3) then
+          else if (TaT_SV(ikl)>=ta2 .and. TaT_SV(ikl)<ta3) then
             ! if st > 0, melting induce smooth surface
             Z0_obs = exp(coefc*TaT_SV(ikl) + coefd)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.F	(revision 5082)
@@ -805,17 +805,17 @@
         DO ikl=1,knonv
         DO isn=iiceSV(ikl),isnoSV(ikl)
-          IF  (G1snSV(ikl,isn).ge.0.)                               THEN
-            IF(G1snSV(ikl,isn).lt.vsphe4.and.istoSV(ikl,isn).eq.0)  THEN
+          IF  (G1snSV(ikl,isn)>=0.)                               THEN
+            IF(G1snSV(ikl,isn)<vsphe4.and.istoSV(ikl,isn)==0)  THEN
                    istoSV(ikl,isn)=istdSV(1)
-            ELSEIF(G1_dSV-G1snSV(ikl,isn)         .lt.vsphe4.and.
-     .             etaSno(ikl,isn)/dzsnSV(ikl,isn).gt.vtelv1)       THEN
-              IF  (istoSV(ikl,isn).eq.0)
+            ELSEIF(G1_dSV-G1snSV(ikl,isn)         <vsphe4.and.
+     .             etaSno(ikl,isn)/dzsnSV(ikl,isn)>vtelv1)       THEN
+              IF  (istoSV(ikl,isn)==0)
      .             istoSV(ikl,isn)=   istdSV(2)
-              IF  (istoSV(ikl,isn).eq.istdSV(1))
+              IF  (istoSV(ikl,isn)==istdSV(1))
      .             istoSV(ikl,isn)=   istdSV(3)
-            ELSEIF(TsisSV(ikl,isn).lt.TfSnow)                       THEN
-              IF  (istoSV(ikl,isn).eq.istdSV(2))
+            ELSEIF(TsisSV(ikl,isn)<TfSnow)                       THEN
+              IF  (istoSV(ikl,isn)==istdSV(2))
      .             istoSV(ikl,isn)=   istdSV(4)
-              IF  (istoSV(ikl,isn).eq.istdSV(3))
+              IF  (istoSV(ikl,isn)==istdSV(3))
      .             istoSV(ikl,isn)=   istdSV(5)
             END IF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.F	(revision 5082)
@@ -438,5 +438,5 @@
       END DO
 
-      IF  (isnitr.GT.0)                                       GO TO 1000
+      IF  (isnitr>0)                                       GO TO 1000
  
  
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.F	(revision 5082)
@@ -218,5 +218,5 @@
 
 
-          IF (iflag_albcalc .GE. 1) THEN  ! Albedo calculation according to Kokhanovsky and Zege 2004
+          IF (iflag_albcalc >= 1) THEN  ! Albedo calculation according to Kokhanovsky and Zege 2004
 
           dalbed = 0.0
@@ -752,6 +752,6 @@
           alb30 = exp(-(alpha**0.5)* 3.0 / 7.0 * (1.0 + 20 * cos30))
 
-          IF ((wavelengths(i).GE.lambdamin).AND.
-     .       (wavelengths(i).LT.lambdamax)) THEN
+          IF ((wavelengths(i)>=lambdamin).AND.
+     .       (wavelengths(i)<lambdamax)) THEN
           albint=albint+R*Pas  ! rectangle integration -> can be improved with trapezintegration
           norm=norm+Pas
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.F	(revision 5082)
@@ -207,6 +207,6 @@
 
       DO ig=1,knonv    
-        IF (isnoSV(ig).GT.0) THEN
-          IF (isnoSV(ig).GT.1) THEN
+        IF (isnoSV(ig)>0) THEN
+          IF (isnoSV(ig)>1) THEN
            mug(ig)=1./(1.+dzsnSV(ig,isnoSV(ig)-1)/dzsnSV(ig,isnoSV(ig))) !mu
           ELSE
@@ -217,8 +217,8 @@
         ENDIF
 
-        IF (mug(ig)  .LE. 0.05) THEN
+        IF (mug(ig)  <= 0.05) THEN
          write(*,*)'Attention mu low', mug(ig)
         ENDIF
-        IF (mug(ig)  .GE. 0.98) THEN
+        IF (mug(ig)  >= 0.98) THEN
          write(*,*)'Attention mu high', mug(ig)
         ENDIF
@@ -331,25 +331,25 @@
 
       DO ig = 1,knonv
-        IF (ps__SV(ig).LT.1.) THEN
+        IF (ps__SV(ig)<1.) THEN
 !          write(*,*)'ig',ig,'ps',ps__SV(ig)
           ps__SV(ig)=max(ps__SV(ig),1.e-8)
         ENDIF
-        IF (p1l_SV(ig).LT.1.) THEN
+        IF (p1l_SV(ig)<1.) THEN
 !          write(*,*)'ig',ig,'p1l',p1l_SV(ig)
           p1l_SV(ig)=max(p1l_SV(ig),1.e-8)
         ENDIF
-        IF (TaT_SV(ig).LT.180.) THEN
+        IF (TaT_SV(ig)<180.) THEN
 !          write(*,*)'ig',ig,'TaT',TaT_SV(ig)
           TaT_SV(ig)=max(TaT_SV(ig),180.)
         ENDIF
-        IF (QaT_SV(ig).LT.1.e-8) THEN
+        IF (QaT_SV(ig)<1.e-8) THEN
 !          write(*,*)'ig',ig,'QaT',QaT_SV(ig)
           QaT_SV(ig)=max(QaT_SV(ig),1.e-8)
         ENDIF
-        IF (Tsf_SV(ig).LT.100.) THEN
+        IF (Tsf_SV(ig)<100.) THEN
 !          write(*,*)'ig',ig,'Tsf',Tsf_SV(ig)
           Tsf_SV(ig)=max(Tsf_SV(ig),180.)
         ENDIF
-        IF (Tsf_SV(ig).GT.500.) THEN
+        IF (Tsf_SV(ig)>500.) THEN
 !          write(*,*)'ig',ig,'Tsf',Tsf_SV(ig)
           Tsf_SV(ig)=min(Tsf_SV(ig),400.)
@@ -359,5 +359,5 @@
 !           Tsrf(ig)=max(Tsrf(ig),TaT_SV(ig)-20.)
 !         ENDIF
-         IF (cdH_SV(ig).LT.1.e-10) THEN
+         IF (cdH_SV(ig)<1.e-10) THEN
 !           IF (ig.le.3)   write(*,*)'ig',ig,'cdH',cdH_SV(ig)
            cdH_SV(ig)=.5
@@ -380,5 +380,5 @@
      &          /LhvH2O / zx_pkh(ig)
         ELSE
-          IF (Tsf_SV(ig).LT.t_coup) THEN
+          IF (Tsf_SV(ig)<t_coup) THEN
              zx_qs = qsats(Tsf_SV(ig)) / ps__SV(ig)
              zx_dq_s_dh = dqsats(Tsf_SV(ig),zx_qs)/LhvH2O               &
@@ -408,5 +408,5 @@
       DO ig = 1,knonv
         zx_sl(ig) = LhvH2O
-        IF (Tsf_SV(ig) .LT. RTT) zx_sl(ig) = LhsH2O
+        IF (Tsf_SV(ig) < RTT) zx_sl(ig) = LhsH2O
         zx_k1(ig) = zx_coef(ig)
       ENDDO
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.F	(revision 5082)
@@ -58,5 +58,5 @@
  
            ikl   = 1
-      IF          (isnoSV(ikl).gt.iiceSV(ikl))                      THEN
+      IF          (isnoSV(ikl)>iiceSV(ikl))                      THEN
  
           SnoWEQ = 0.
@@ -71,5 +71,5 @@
 C +  =====================
  
-      IF        (iiceSV(1).gt.0)                                    THEN
+      IF        (iiceSV(1)>0)                                    THEN
  
           IceWEQ = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.F	(revision 5082)
@@ -459,5 +459,5 @@
       DO isn=nsno,2,-1
       DO ikl=1,knonv
-        IF (Agrege(ikl).gt.0..AND.i_thin(ikl).lt.isnoSV(ikl))       THEN
+        IF (Agrege(ikl)>0..AND.i_thin(ikl)<isnoSV(ikl))       THEN
           staggr          =  min(1,max(0,isn-i_thin(ikl)    -1))
      .                    *  min(1,max(0,    isnoSV(ikl)-isn+2))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5082)
@@ -328,16 +328,16 @@
      plon_bounds(i,1)=rlon_glo(tabij(i)-1)
      plon_bounds(i,2)=rlon_glo(tabij(i)+1)
-     IF (plon_bounds(i,2).LE.0..AND.plon_bounds(i,1).GE.0.) THEN
-      IF (rlon_glo(tabij(i)).GE.0.) THEN
+     IF (plon_bounds(i,2)<=0..AND.plon_bounds(i,1)>=0.) THEN
+      IF (rlon_glo(tabij(i))>=0.) THEN
        plon_bounds(i,2)=-1*plon_bounds(i,2)
       ENDIF
      ENDIF
-     IF (plon_bounds(i,2).GE.0..AND.plon_bounds(i,1).LE.0.) THEN
-      IF (rlon_glo(tabij(i)).LE.0.) THEN
+     IF (plon_bounds(i,2)>=0..AND.plon_bounds(i,1)<=0.) THEN
+      IF (rlon_glo(tabij(i))<=0.) THEN
        plon_bounds(i,2)=-1*plon_bounds(i,2)
       ENDIF
      ENDIF
 !
-     IF ( tabij(i).LE.nbp_lon) THEN
+     IF ( tabij(i)<=nbp_lon) THEN
       plat_bounds(i,1)=rlat_glo(tabij(i))
      ELSE
@@ -361,5 +361,5 @@
 
        CALL grid1dTo2d_glo(rlon_glo,zx_lon)
-       IF ((nbp_lon*nbp_lat).GT.1) THEN
+       IF ((nbp_lon*nbp_lat)>1) THEN
        DO i = 1, nbp_lon
          zx_lon(i,1) = rlon_glo(i+1)
@@ -375,10 +375,10 @@
      plon_bounds(i,2)=zx_lon(ipt(i)+1,jpt(i))
 
-     IF (ipt(i).EQ.1) THEN
+     IF (ipt(i)==1) THEN
       plon_bounds(i,1)=zx_lon(nbp_lon,jpt(i))
       plon_bounds(i,2)=360.+zx_lon(ipt(i)+1,jpt(i))
      ENDIF
  
-     IF (ipt(i).EQ.nbp_lon) THEN
+     IF (ipt(i)==nbp_lon) THEN
       plon_bounds(i,2)=360.+zx_lon(1,jpt(i))
      ENDIF
@@ -387,10 +387,10 @@
      plat_bounds(i,2)=zx_lat(ipt(i),jpt(i)+1)
 
-     IF (jpt(i).EQ.1) THEN
+     IF (jpt(i)==1) THEN
       plat_bounds(i,1)=zx_lat(ipt(i),1)+0.001
       plat_bounds(i,2)=zx_lat(ipt(i),1)-0.001
      ENDIF
  
-     IF (jpt(i).EQ.nbp_lat) THEN
+     IF (jpt(i)==nbp_lat) THEN
       plat_bounds(i,1)=zx_lat(ipt(i),nbp_lat)+0.001
       plat_bounds(i,2)=zx_lat(ipt(i),nbp_lat)-0.001
@@ -412,5 +412,5 @@
       tabprocbeg=klon_mpi_begin
       tabprocend=klon_mpi_end
-      IF(tabij(ip).GE.tabprocbeg.AND.tabij(ip).LE.tabprocend) THEN
+      IF(tabij(ip)>=tabprocbeg.AND.tabij(ip)<=tabprocend) THEN
        npproc=npproc+1
        npstn=npproc
@@ -425,5 +425,5 @@
      npproc=0
      DO ip=1, pim
-      IF(tabij(ip).GE.tabprocbeg.AND.tabij(ip).LE.tabprocend) THEN
+      IF(tabij(ip)>=tabprocbeg.AND.tabij(ip)<=tabprocend) THEN
        npproc=npproc+1
        nptabij(npproc)=tabij(ip)
@@ -852,6 +852,6 @@
       DO ip=1, npstn
 !     print*,'histwrite2d is_sequential npstn ip name nptabij',npstn,ip,name,nptabij(ip)
-       IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-          nptabij(ip).LE.klon_mpi_end) THEN
+       IF(nptabij(ip)>=klon_mpi_begin.AND. &
+          nptabij(ip)<=klon_mpi_end) THEN
          fieldok(ip)=buffer_omp(nptabij(ip)-klon_mpi_begin+1)
        ENDIF
@@ -923,6 +923,6 @@
         DO n=1, nlev
         DO ip=1, npstn
-          IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-           nptabij(ip).LE.klon_mpi_end) THEN
+          IF(nptabij(ip)>=klon_mpi_begin.AND. &
+           nptabij(ip)<=klon_mpi_end) THEN
            fieldok(ip,n)=buffer_omp(nptabij(ip)-klon_mpi_begin+1,n)
           ENDIF
@@ -1127,6 +1127,6 @@
                               DO ip=1, npstn
                                 write(lunout,*)'histwrite2d_phy is_sequential npstn ip namenptabij',npstn,ip,var%name,nptabij(ip)
-                                     IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-                                        nptabij(ip).LE.klon_mpi_end) THEN
+                                     IF(nptabij(ip)>=klon_mpi_begin.AND. &
+                                        nptabij(ip)<=klon_mpi_end) THEN
                                        fieldok(ip)=buffer_omp(nptabij(ip)-klon_mpi_begin+1)
                                      ENDIF
@@ -1331,6 +1331,6 @@
                               DO n=1, nlev
                                     DO ip=1, npstn
-                                                IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-                                                      nptabij(ip).LE.klon_mpi_end) THEN
+                                                IF(nptabij(ip)>=klon_mpi_begin.AND. &
+                                                      nptabij(ip)<=klon_mpi_end) THEN
                                                 fieldok(ip,n)=buffer_omp(nptabij(ip)-klon_mpi_begin+1,n)
                                           ENDIF
@@ -1420,6 +1420,6 @@
                 DO ip=1, npstn
                     PRINT*,'histwrite2d_xios is_sequential npstn ip namenptabij',npstn,ip,field_name,nptabij(ip)
-                    IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-                    nptabij(ip).LE.klon_mpi_end) THEN
+                    IF(nptabij(ip)>=klon_mpi_begin.AND. &
+                    nptabij(ip)<=klon_mpi_end) THEN
                         fieldok(ip)=buffer_omp(nptabij(ip)-klon_mpi_begin+1)
                     ENDIF
@@ -1510,6 +1510,6 @@
                 DO n=1, nlev
                     DO ip=1, npstn
-                        IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-                        nptabij(ip).LE.klon_mpi_end) THEN
+                        IF(nptabij(ip)>=klon_mpi_begin.AND. &
+                        nptabij(ip)<=klon_mpi_end) THEN
                             fieldok(ip,n)=buffer_omp(nptabij(ip)-klon_mpi_begin+1,n)
                         ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5082)
@@ -40,6 +40,6 @@
 ! Local variables:
 
-      real*4 date
-      real*4 zx(imjmax*llm)
+      real(kind=4) date
+      real(kind=4) zx(imjmax*llm)
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5082)
@@ -182,5 +182,5 @@
             Prandtl(igrid,ilay) = pr_neut*exp(-pr_slope/pr_neut*Ri(igrid,ilay)+Ri(igrid,ilay)/pr_neut) &
                                 + Ri(igrid,ilay) * pr_slope
-            IF (Ri(igrid,ilay) .GE. Prandtl(igrid,ilay)) THEN
+            IF (Ri(igrid,ilay) >= Prandtl(igrid,ilay)) THEN
                 call abort_physic("atke_compute_km_kh", &
                 'Ri>=Pr in stable conditions -> violates energy conservation principles, change pr_neut or slope', 1)
@@ -198,10 +198,10 @@
 
 
-IF (iflag_atke_lmix .EQ. 1 ) THEN
+IF (iflag_atke_lmix == 1 ) THEN
     ! Blackadar formulation (~kappa l) + buoyancy length scale (Deardoff 1980) for very stable conditions
         DO ilay=2,nlay
             DO igrid=1,ngrid
                 l_exchange(igrid,ilay) = kappa*l0*z_interf(igrid,ilay) / (kappa*z_interf(igrid,ilay) + l0)
-                IF (N2(igrid,ilay) .GT. 0.) THEN
+                IF (N2(igrid,ilay) > 0.) THEN
                     lstrat=clmix*sqrt(tke(igrid,ilay))/sqrt(N2(igrid,ilay))
                     lstrat=max(lstrat,lmin)
@@ -212,5 +212,5 @@
         ENDDO
 
-    ELSE IF (iflag_atke_lmix .EQ. 2 ) THEN
+    ELSE IF (iflag_atke_lmix == 2 ) THEN
     ! add effect of wind shear on lstrat following grisogono and belusic 2008, qjrms
     ! implies 2 tuning coefficients clmix and clmixshear
@@ -218,5 +218,5 @@
         DO igrid=1,ngrid
             l_exchange(igrid,ilay) = kappa*l0*z_interf(igrid,ilay) / (kappa*z_interf(igrid,ilay) + l0)
-            IF (N2(igrid,ilay) .GT. 0. .AND. shear2(igrid,ilay) .GT. 0.) THEN
+            IF (N2(igrid,ilay) > 0. .AND. shear2(igrid,ilay) > 0.) THEN
                 lstrat=min(clmix*sqrt(tke(igrid,ilay))/sqrt(N2(igrid,ilay)), &
                     clmixshear*sqrt(tke(igrid,ilay))/sqrt(shear2(igrid,ilay)))
@@ -228,5 +228,5 @@
     ENDDO
 
-    ELSE IF (iflag_atke_lmix .EQ. 3 ) THEN
+    ELSE IF (iflag_atke_lmix == 3 ) THEN
     ! add effect of wind shear on lstrat following grisogono 2010, qjrms
     ! keeping a single tuning coefficient clmix
@@ -234,5 +234,5 @@
         DO igrid=1,ngrid
             l_exchange(igrid,ilay) = kappa*l0*z_interf(igrid,ilay) / (kappa*z_interf(igrid,ilay) + l0)
-            IF (N2(igrid,ilay) .GT. 0. .AND. shear2(igrid,ilay) .GT. 0.) THEN
+            IF (N2(igrid,ilay) > 0. .AND. shear2(igrid,ilay) > 0.) THEN
                 lstrat=clmix*sqrt(tke(igrid,ilay))/sqrt(shear2(igrid,ilay))*(1.0+Ri(igrid,ilay)/(2.*Prandtl(igrid,ilay)))
                 lstrat=max(lstrat,lmin)
@@ -323,5 +323,5 @@
             tke_buoy(igrid,ilay)=-l_exchange(igrid,ilay)*Sm(igrid,ilay)*qq/sqrt(2.)*shear2(igrid,ilay) &
                                 *(Ri(igrid,ilay) / Prandtl(igrid,ilay))
-            IF (Ri(igrid,ilay) .LT. 0.) THEN
+            IF (Ri(igrid,ilay) < 0.) THEN
                 netloss=qq/(2.*sqrt(2.)*cepsilon*l_exchange(igrid,ilay))
                 netsource=l_exchange(igrid,ilay)*Sm(igrid,ilay)/sqrt(2.)*shear2(igrid,ilay)*(1.-Ri(igrid,ilay)/Prandtl(igrid,ilay))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5082)
@@ -80,5 +80,5 @@
       CALL getin_p('iflag_atke_lmix',iflag_atke_lmix)
 
-      if (iflag_atke .eq. 0 .and. iflag_atke_lmix>0) then
+      if (iflag_atke == 0 .and. iflag_atke_lmix>0) then
             call abort_physic("atke_turbulence_ini", &
             'stationary scheme must use mixing length formulation not depending on tke', 1)
@@ -120,5 +120,5 @@
       CALL getin_p('atke_cinffac',cinffac)
       cinf=cinffac*cn
-      if (cinf .le. cn) then
+      if (cinf <= cn) then
             call abort_physic("atke_turbulence_ini", &
             'cinf cannot be lower than cn', 1)
@@ -133,5 +133,5 @@
       pr_slope=5.0 ! default value from Zilitinkevich et al. 2005
       CALL getin_p('atke_pr_slope',pr_slope)
-      if (pr_slope .le. 1) then
+      if (pr_slope <= 1) then
             call abort_physic("atke_turbulence_ini", &
             'pr_slope has to be greater than 1 for consistency of the tke scheme', 1)
@@ -145,5 +145,5 @@
       pr_asym=0.4
       CALL getin_p('atke_pr_asym',pr_asym)
-      if (pr_asym .ge. pr_neut) then
+      if (pr_asym >= pr_neut) then
             call abort_physic("atke_turbulence_ini", &
             'pr_asym must be be lower than pr_neut', 1)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5082)
@@ -89,5 +89,5 @@
 !----------------------
 
-IF (iflag_sedim_bs .GT. 0) THEN
+IF (iflag_sedim_bs > 0) THEN
 ! begin of top-down loop
 DO k = nlay, 1, -1
@@ -103,5 +103,5 @@
 
     ! thermalization of blowing snow precip coming from above     
-    IF (k.LE.nlay-1) THEN
+    IF (k<=nlay-1) THEN
 
         DO i = 1, ngrid
@@ -164,5 +164,5 @@
 ! Sublimation and melting
 !++++++++++++++++++++++++++++++++++++++++++++++
-IF (iflag_sublim_bs .GT. 0) THEN
+IF (iflag_sublim_bs > 0) THEN
 
 DO k = 1, nlay
@@ -189,5 +189,5 @@
 
 
-          IF (ztemp(i) .GT. RTT) THEN
+          IF (ztemp(i) > RTT) THEN
 
              ! if temperature is positive, we assume that part of the blowing snow 
@@ -226,5 +226,5 @@
  
               ! we do not consider deposition, only sublimation
-              IF (zqv(i) .LT. qsi(i)) THEN
+              IF (zqv(i) < qsi(i)) THEN
                  rhoair=zpres(i)/ztemp(i)/RD
                  Dv=0.0001*0.211*(p0/zpres(i))*((ztemp(i)/RTT)**1.94) ! water vapor diffusivity in air, SI
@@ -256,7 +256,7 @@
           ! see Gerber et al. 2023, JGR Atmos for the choice of qbmin
 
-          IF (zqb(i) .LT. qbmin) THEN
+          IF (zqb(i) < qbmin) THEN
               zqv(i) = zqv(i)+zqb(i)
-              IF (ztemp(i) .LT. RTT) THEN
+              IF (ztemp(i) < RTT) THEN
                  ztemp(i) = ztemp(i) - zqb(i) * RLSTT/RCPD/(1.0+RVTMP2*(zqv(i)))
               ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5082)
@@ -65,5 +65,5 @@
 
                                
-if (iflag_num_atke .EQ. 1) then
+if (iflag_num_atke == 1) then
    !! In this case, we make an explicit prediction of the wind shear to calculate the tke in a
    !! forward backward way
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_cloud_optics_prop.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_cloud_optics_prop.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_cloud_optics_prop.F90	(revision 5082)
@@ -95,5 +95,5 @@
   REAL :: dzfice(klon, klev)
 
-  IF (iflag_t_glace .EQ. 0) THEN
+  IF (iflag_t_glace == 0) THEN
      icefrac_optics(:, :) = 0.
   ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5082)
@@ -175,5 +175,5 @@
   reice_pi = 0.
 
-  IF (iflag_t_glace.EQ.0) THEN
+  IF (iflag_t_glace==0) THEN
     DO k = 1, klev
       DO i = 1, klon
@@ -245,5 +245,5 @@
     !--flag_aerosol=7 => MACv2SP climatology 
     !--in this case there is an enhancement factor
-    IF (flag_aerosol .EQ. 7) THEN 
+    IF (flag_aerosol == 7) THEN
 
       !--present-day
@@ -300,5 +300,5 @@
           zfiwp_var = 1000.*icefrac_optics(i, k)*radocond(i, k)/pclc(i, k)*rhodz(i, k)
           ! Calculation of ice cloud effective radius in micron
-          IF (iflag_rei .EQ. 1) THEN
+          IF (iflag_rei == 1) THEN
             ! when we account for precipitation in the radiation scheme,
             ! It is recommended to use the rei formula from Sun and Rikkus 1999 with a revision
@@ -407,5 +407,5 @@
 
 
-        IF (iflag_rei .GT. 0) THEN
+        IF (iflag_rei > 0) THEN
 
             ! when we account for precipitation in the radiation scheme,
@@ -600,6 +600,6 @@
       reffclwtop(i) = 0.
       cldncl(i) = 0.
-      IF (novlp.EQ.3 .OR. novlp.EQ.1) tcc(i) = 1.
-      IF (novlp.EQ.2) tcc(i) = 0.
+      IF (novlp==3 .OR. novlp==1) tcc(i) = 1.
+      IF (novlp==2) tcc(i) = 0.
     ENDDO
 
@@ -612,5 +612,5 @@
         IF (pcltau(i,k)>thres_tau .AND. pclc(i,k)>thres_neb) THEN
 
-          IF (novlp.EQ.2) THEN
+          IF (novlp==2) THEN
             IF (first) THEN
               WRITE (*, *) 'Hypothese de recouvrement: MAXIMUM'
@@ -621,5 +621,5 @@
           ENDIF
 
-          IF (novlp.EQ.3) THEN
+          IF (novlp==3) THEN
             IF (first) THEN
               WRITE (*, *) 'Hypothese de recouvrement: RANDOM'
@@ -630,5 +630,5 @@
           ENDIF
 
-          IF (novlp.EQ.1) THEN
+          IF (novlp==1) THEN
             IF (first) THEN
               WRITE (*, *) 'Hypothese de recouvrement: MAXIMUM_ &
@@ -655,5 +655,5 @@
       ENDDO ! loop over k
 
-      IF (novlp.EQ.3 .OR. novlp.EQ.1) tcc(i) = 1. - tcc(i)
+      IF (novlp==3 .OR. novlp==1) tcc(i) = 1. - tcc(i)
 
     ENDDO ! loop over i
